	
kernel void matrixMul1d(global int* A, global int* B, global int* C, const int colsA, const int colsB)
{
    uint id = get_global_id(0);
    int sum = 0;
    int col = id % colsB;
    int row = id / colsB;
    for(uint i = 0; i < colsA; ++i)
    {
        sum += A[row * colsA + i] * B[colsB * i + col];
    }
    C[id] = sum;
}

kernel void matrixMul2d(global int* A, global int* B, global int* C, const int colsA, const int colsB)
{
    uint row = get_global_id(0);
    uint col = get_global_id(1);
    int sum = 0;
    for(uint i = 0; i < colsA; ++i)
    {
        sum += A[row * colsA + i] * B[colsB * i + col];
    }
    C[row * colsB + col] = sum;
}
